# H4501_GeneralErrorList Class Reference

`#include <h4501.h>`

List of all members.

## Public Types

enum | Enumerations { e_userNotSubscribed, e_rejectedByNetwork, e_rejectedByUser, e_notAvailable, e_insufficientInformation = 5, e_invalidServedUserNumber, e_invalidCallState, e_basicServiceNotProvided, e_notIncomingCall, e_supplementaryServiceInteractionNotAllowed, e_resourceUnavailable, e_callFailure = 25, e_proceduralError = 43 }

## Public Member Functions

| H4501_GeneralErrorList (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H4501_GeneralErrorList & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H4501_GeneralErrorList::Enumerations

Enumerator:

  e_userNotSubscribed |
  e_rejectedByNetwork |
  e_rejectedByUser |
  e_notAvailable |
  e_insufficientInformation |
  e_invalidServedUserNumber |
  e_invalidCallState |
  e_basicServiceNotProvided |
  e_notIncomingCall |
  e_supplementaryServiceInteractionNotAllowed |
  e_resourceUnavailable |
  e_callFailure |
  e_proceduralError |

## Constructor & Destructor Documentation

H4501_GeneralErrorList::H4501_GeneralErrorList | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4501_GeneralErrorList& H4501_GeneralErrorList::operator= | ( | unsigned | v | ) |

PObject* H4501_GeneralErrorList::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4501.h